<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
    xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>
    
<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
    
    
<xsl:template match="sm:Wlink[local-name(/*)='textOdTransf']">
<sm:WLink>
<xsl:if test="string-length(normalize-space(@style))=0">
<xsl:attribute name="style"><xsl:value-of select="concat('Wlink_', ../@role)"/></xsl:attribute>
</xsl:if>
<xsl:apply-templates select="node()"/>
</sm:WLink>
</xsl:template>
    
<xsl:template match="sm:WFootNote[local-name(/*)='textOdTransf']">
<sm:WInline style="{concat('WFootNote_', ../@role)}">
<xsl:apply-templates select="sm:label/*"/>
<sm:footNote>
<xsl:apply-templates select="sm:note/*"/>
</sm:footNote>
</sm:WInline>
</xsl:template>
    
    
    
    
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
    
</xsl:stylesheet>
