<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pWspRoot"/>
	
<xsl:template match="sm:models/*/@code">
<xsl:attribute name="key"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
<xsl:template match="@refWspDefCode">
<xsl:attribute name="refModelKey"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
<xsl:template match="sm:description/sm:localization"/>
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
