<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
                xmlns:string="java.lang.String"
                xmlns:redirect="http://xml.apache.org/xalan/redirect" extension-element-prefixes="redirect">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="no"/>
<xsl:param name="pActionPath"/>
<xsl:param name="pContentPath"/>
<xsl:param name="pStylePath"/>
	
<xsl:variable name="pContentFile" select="document($pContentPath)"/>
<xsl:variable name="pStyleFile" select="document($pStylePath)"/>
	
<xsl:template match="*[@style:SCdisplay-name]">
<xsl:copy>
<xsl:attribute name="style:display-name"><xsl:value-of select="@style:SCdisplay-name"/></xsl:attribute>
<xsl:apply-templates select="@*[name()!='style:display-name' and name()!='style:SCdisplay-name']|node()|text()"/>
</xsl:copy>
</xsl:template>

	
<xsl:template match="@*|node()|text()">
<xsl:copy>
<xsl:apply-templates select="@*|node()|text()"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>
