<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:migration/sm:update/sm:from/@keyWsp | sm:migration/sm:update/sm:to/@keyWsp">
<xsl:attribute name="key"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="sm:migration/sm:update/sm:from | sm:migration/sm:update/sm:to">
<xsl:copy>
<xsl:attribute name="scenariVersion">3.6</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
    
    
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
