<?xml version="1.0" encoding="UTF-8"?>

 
 
<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sc sp sm xsl java"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
		
<xsl0:template match="sm:storage/sm:index">
<xsl:overlay match="{resultatAgent('//qNameTagRootModel')}">
<xsl0:apply-templates/>
</xsl:overlay>
</xsl0:template>
	
<xsl0:template match="sm:property">
<xsl:element name="{@format}">
<xsl:attribute name="nm"><xsl0:value-of select="@code"/></xsl:attribute>
<xsl0:apply-templates/>
</xsl:element>
</xsl0:template>
	
<xsl0:template match="sm:dynamicString">
<xsl:value-of select="{@xpath}"/>
</xsl0:template>
	
<xsl0:template match="sm:fixedString"><xsl:text><xsl0:value-of select="@value"/></xsl:text></xsl0:template>
	
<xsl0:template match="sm:doc"/>
	
<xsl:template match="@*|node()"/>
	
</xsl0:stylesheet>