<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:stk="scenari.eu:task:1.0" 
	exclude-result-prefixes="sm sc srk se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:include href="bsco:sm/model/commons.xed.xsl"/>
	
<xsl:variable name="vWidgetOpts" select="sm:authoring/sm:formEditor[not(@key)]/sm:widgets/sm:descriptionWidget"/>

<xsl:template match="*">
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="stk:setDescription" se:card="{si(sm:structure/sm:description/@usage='optional', '?', '1')}">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vWidgetOpts/sm:perms"/>
</xsl:call-template>
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(sm:structure/sm:description/@sc:refUri), '/xedRefUrlFormHideHeader', $vWidgetOpts/sm:standardForm/@keyEditor))}"/>
</childs>
</hiddenElement>
</xmlview>
</xsl:template>

</xsl:stylesheet>
