<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="*">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/contentView/mainview.css" type="text/css"</xsl:processing-instruction>
<window onload="initPage();">
<script src="chrome://scenariWsp/content/windows/contentView/mainview.init.js"/>
<script>
Components.utils.import("chrome://scenariCollab/content/utils/task.jsm");
var vUriObject;
function initPage(){
	vUriObject = uriObj.searchUriObject(document);
}
function send(){
	try {
		task.saveTask(vUriObject, "<xsl:value-of select="resultatAgent('//codeTask')"/>.tk", document.getElementById("stream").value);
	} catch(e){
		log.debug(e);
	}
}
</script>
<textbox multiline="true" flex="1" id="stream"  value="&lt;stk:updateTask xmlns:stk=&quot;scenari.eu:task:1.0&quot;&gt;&lt;stk:setTitle newTitle=&quot;...&quot;/&gt;&lt;stk:putUser account=&quot;admin&quot; involvements=&quot;creator executor&quot;/&gt;&lt;/stk:updateTask&gt;"/>
<button label="send" oncommand="send();"></button>
<script src="chrome://scenariWsp/content/windows/contentView/mainview.launch.js"/>
</window>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>
