<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	exclude-result-prefixes="sm sc scodPp xsl office text table fo draw svg xlink">
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
<xsl0:include href="bsco:sm/textOdTransf/getContent.xsl.xsl"/>
	
<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:param name="vArguments"/>
		
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl:variable name="vNewSrc" select="getDialogVar('txtContent')"/>
<xsl:value-of select="removeDialogVar('txtContent')"/>
<xsl:choose>
<xsl:when test="$vNewSrc">
<xsl:apply-templates select="$vNewSrc/*"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
<xsl:template match="text()"><xsl:copy-of select="."/></xsl:template>
		
<xsl0:apply-templates select="sm:content"/>
</xsl0:template>
	
</xsl0:stylesheet>