<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:c="composition"
	exclude-result-prefixes="sm xsl java xalan c">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:include href="bsco:sm/textXhtmlTransf/bs.xml.xsl"/>
			
<xsl0:variable name="vLegacyClasses" select="/sm:textXhtmlTransf/sm:content/@classConstructionType = 'legacy'"/>

<xsl0:template match="sm:textXhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xsl0t/java</xsl0:attribute>
						
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>

<xsl0:call-template name="commonTpl"/>
<xsl0:apply-templates select="sm:content/*" mode="content"/>
</xsl:stylesheet>
</source>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:apply-templates mode="agents"/>
</structure>
</xsl0:template>
</xsl0:stylesheet>
