<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>
	
<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl0:apply-templates select="sm:content/*"/>
</xsl:template>
<xsl:template match="*"/>
</xsl0:template>
		
<xsl0:template match="sm:getFullTitle">
<xsl:value-of select="resultatAgent('//fullTitleText')"/>
</xsl0:template>
<xsl0:template match="sm:getShortTitle">
<xsl:value-of select="resultatAgent('//shortTitleText')"/>
</xsl0:template>

<xsl0:template match="*"/>
</xsl0:stylesheet>
