<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java"
	exclude-result-prefixes="sm sc java"
	xmlns:so="scenari.eu:xmlOverlay:1.0" 
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	version="1.0">
<xsl:output method="xml" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:template match="*">
<so:overlay>
<so:insertElements fromId="matrix">
<slot id="leftSlot" type="accordion" width="230" minwidth="100">
<box id="searchView" layout="vertical" executeSearchOnView="true" style="-moz-binding: url(chrome://scenariWsp/content/windows/itemSelector/searchViewSelector.xbl.xml#searchViewSelector)"/>
<box id="wspTreeView" style="-moz-binding: url(chrome://scenariWsp/content/windows/itemSelector/wspTreeViewSelector.xbl.xml#wspTreeViewSelector);"/>
					
<box id="treeItemnetView" closable="true" closed="true" style="-moz-binding: url(chrome://scenariWsp/content/views/treeItemnetView/treeItemnetView.xbl.xml#treeItemnetView)"/>
<box id="outlineView" closable="true" closed="true" style="-moz-binding: url(chrome://scenariWsp/content/views/outlineView/outlineView.xbl.xml#outlineView)"/>
</slot>
<slotSet id="middleSlot" width="450" orient="vertical" flex="5">
<slotContents id="contentsSlot" height="500"/>
<slot id="bottomSlot" height="400">
<box id="resultsView" style="-moz-binding: url(chrome://scenariWsp/content/views/searchView/searchView.xbl.xml#resultsView)"/>
</slot>
</slotSet>
</so:insertElements>
</so:overlay>
</xsl:template>
	
</xsl:stylesheet>