<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
	
	
<xsl:template match="/packs">
<packdesc>
<xsl:copy-of select="packdesc[1]/@*[name()!='title']"/>
	        
<xsl:attribute name="title">
<xsl:for-each select="packdesc">
<xsl:value-of select="@title"/><xsl:if test="following-sibling::packdesc">, </xsl:if>
</xsl:for-each>
</xsl:attribute>
		    
<xsl:copy-of select="packdesc[1]/framework"/>
<resList>
<xsl:copy-of select="packdesc/resList/*"/>
</resList>
	        
<xsl:copy-of select="packdesc/*[name()!='name' and name()!='framework' and name()!='resList']"/>
</packdesc>
</xsl:template>
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
</xsl:stylesheet>
