<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:appMake/sm:description/sm:splash">
<sm:aboutImage sc:refUri="{@sc:refUri}"/>
</xsl:template>

	
<xsl:template match="sm:makeWin/sm:description">
<sm:description>
<xsl:apply-templates select="@*|node()"/>
<xsl:if test="/sm:appMake/sm:description/sm:splash">
<sm:splash sc:refUri="{/sm:appMake/sm:description/sm:splash/@sc:refUri}"/>
</xsl:if>
</sm:description>
</xsl:template>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>