<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:authoring">
<xsl:choose>
<xsl:when test="@showPreview='true'">
<sm:authoring>
<sm:previewBlock>
<sm:htmlViewer><sm:fromBinary/></sm:htmlViewer>
</sm:previewBlock>
<xsl:apply-templates/>
</sm:authoring>
</xsl:when>
<xsl:otherwise>
<sm:authoring>
<xsl:apply-templates/>
</sm:authoring>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
		
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
