<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:WImage">
<xsl:if test="@refUri and @src">
<xsl:message>WARNING : sm:WImage tag with attributes refUri and src. Attribute refUri will be ignored.</xsl:message>
</xsl:if>
<xsl:choose>
<xsl:when test="not(@src)">
<xsl:copy>
<xsl:apply-templates select="@*"/>
</xsl:copy>
</xsl:when>
<xsl:otherwise>
<sm:WImg src="{@src}">
<xsl:if test="@srcFrom"><xsl:attribute name="srcFrom"><xsl:value-of select="@srcFrom"/></xsl:attribute></xsl:if>
<xsl:if test="@id"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
<xsl:if test="@class"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
<xsl:if test="@altText"><xsl:attribute name="altText"><xsl:value-of select="@altText"/></xsl:attribute></xsl:if>
</sm:WImg>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="@srcFrom"/>

	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
</xsl:stylesheet>