<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="sm sc xalan">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
<xsl:template match="*">
<module code="identif" type="com.scenari.m.bdp.module.identif.res.HModuleIdentifResLoader">
<xsl:for-each select="sm:identification">
<xsl:for-each select="xalan:tokenize(@extensions, ' ')">
<identifEntry certainty="{string-length(.) + 10}" extension="{.}"/>
</xsl:for-each>
<xsl:if test="@mimeTypes">
<xsl:for-each select="xalan:tokenize(@mimeTypes, ' ')">
<identifEntry certainty="11" mimeType="{.}"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</module>
</xsl:template>
</xsl:stylesheet>