<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
	
<xsl0:template match="sm:WParagraph" name="sm:WParagraph">
<xsl0:param name="pContent"/>
<xsl:comment># sm:WParagraph</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl0:choose>
<xsl0:when test="not(@display) or @display='ifNotNull'">
<scodPp:ifNotNull>
<xsl:element name="{si(@outlineLevel, 'text:h', 'text:p')}">
<xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
<xsl0:if test="@outlineLevel">
<xsl:attribute name="text:outline-level"><xsl0:value-of select="@outlineLevel"/></xsl:attribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="$pContent">
<xsl0:copy-of select="$pContent"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:element>
</scodPp:ifNotNull>
</xsl0:when>
<xsl0:otherwise>
<xsl:element name="{si(@outlineLevel, 'text:h', 'text:p')}">
<xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
<xsl0:if test="@outlineLevel">
<xsl0:attribute name="text:outline-level"><xsl0:value-of select="@outlineLevel"/></xsl0:attribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="$pContent">
<xsl0:copy-of select="$pContent"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
    
</xsl0:stylesheet>
