<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" exclude-result-prefixes="sm sc">
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
<xsl:template match="sm:noteTag">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://global/skin/" type="text/css"</xsl:processing-instruction>
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariXedLib/content/libUiBase/UiBase.css" type="text/css"</xsl:processing-instruction>
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariXedLib/content/libUiXml/UiXml.css" type="text/css"</xsl:processing-instruction>
<window id="note_{@role}" title="{@name}" onload="initPage();" onunload="closePage();">
<script src="chrome://scenariXedLib/content/core/xed.js"/>
<script src="chrome://scenariCms/content/ut.js"/>
<script><![CDATA[
	var sEditorInline, sHtmlTag, sXedEditor;
	var desk = window.opener.desk;
	var extPoints = window.opener.extPoints;
	function initPage(){
		try {
			sEditorInline = window.arguments[0];
			sHtmlTag = window.arguments[1];
			document.fUriObject = uriObj.searchUriObject(sEditorInline);
			sXedEditor = document.getElementById("xedBox");
			var vSrcDom = null;
			var vSrcNote = sHtmlTag.getUserData("note");
			//xed.debug("sHtmlTag.fNote:::"+sHtmlTag+"\nnote:::"+xed.getXml(vSrcNote));
			if(vSrcNote) {
				vSrcDom = document.implementation.createDocument("", "", null);
				vSrcDom.appendChild(vSrcDom.importNode(vSrcNote, true));
				//xed.debug("vSrcDom:::"+xed.getXml(vSrcDom));
			}
			sXedEditor.fToolBar = document.getElementById("toolBar");
			sXedEditor.initEditor("[![agent=..;arguments=act:]!]#note", vSrcDom);
		}catch(e){xed.debug(e);}
	}
	
	function closePage() {
		try {
			var vNoteResult = sXedEditor.fillResult();
			//log.debug("vNoteResult::::::\n"+dom.getXml(vNoteResult));
			sEditorInline.setNoteProps(sHtmlTag, vNoteResult.documentElement);
		}catch(e){xed.debug(e);}
	}
	]]></script>
	
<box id="toolBar" style="-moz-binding: url(chrome://scenariXedLib/content/libUiBase/widgets/xedUiBase.xbl.xml#xedToolBar); height:32px; background-color:white;" />
<vbox width="500" height="350" id="xedBox" style="-moz-binding: url(chrome://scenariXedLib/content/core/xed.xbl.xml#xedBox); border: 1px inset; background-color:white;" flex="1"/>
<hbox pack="end">
<button label="￼@.xslAtt?uri=sc:sm:;Fermer￼" oncommand="window.close();"/>
</hbox>
</window>
</xsl:template>
</xsl:stylesheet>
