<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:template match="/*">
		
<xsl:for-each select="sm:sequenceDeclaration">
<sequenceDeclaration category="{@category}"/>
</xsl:for-each>
<xsl:for-each select="//sm:WIndex">
<callSequenceCategory code="{@refCategory}"/>
</xsl:for-each>
<xsl:for-each select="//sm:Widget">
			
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/viewsInfo'))" disable-output-escaping="yes"/>
</xsl:for-each>
		
		
<xsl:for-each select="sm:dataBlockDeclaration">
<blockDeclaration category="{@category}"/>
</xsl:for-each>
<xsl:for-each select="//sm:showDataBlocks">
<callBlockCategory code="{@refCategory}"/>
</xsl:for-each>
		
<xsl:apply-templates/>
</xsl:template>
		
<xsl:template match="text()|@*"/>
	
</xsl:stylesheet>
