<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

<xsl:template match="/sm:openOdWidget">
		
<xsl:apply-templates mode="callSequenceCategory"/>
<xsl:apply-templates mode="callBlockCategory"/>
</xsl:template>
	
<xsl:template match="text()|@*"/>
	
	
<xsl:template match="sm:caption" mode="callSequenceCategory">
<callSequenceCategory code="{@category}"/>
</xsl:template>
<xsl:template match="text()|@*" mode="callSequenceCategory"/>
	
	
<xsl:template match="sm:dataBlock" mode="callBlockCategory">
<callBlockCategory code="{@category}"/>
</xsl:template>
<xsl:template match="text()|@*" mode="callBlockCategory"/>
	
</xsl:stylesheet>
