<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sc sp sm xsl java"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/model/ssGenAttr.xsl.xsl"/>
	
<xsl0:template match="sm:searchPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
		
<xsl0:value-of select="execute(setEntryBuffer('ns', '#default', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl:template match="{concat(sm:identification/@targetPrefix, ':', sm:identification/@code)}">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl0:apply-templates select="sm:structure/*">
<xsl0:with-param name="pPath" select="concat(sm:identification/@targetPrefix, ':', sm:identification/@code)"/>
</xsl0:apply-templates>
</xsl0:template>
	
</xsl0:stylesheet>