<?xml version="1.0" encoding="UTF-8"?>

 
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	version="1.0"
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
		
<xsl:template match="sm:sendServerGenDeploy">
<structure code="_root">
<listenoeuds>
<noeud cle="content" type="singleton">
<ref type="xpath-statique">concat('@', getIdNode(.))</ref>
</noeud>
</listenoeuds>
			
<redirect code="contentRoot">
<pathAgent type="xpath-statique">concat('@', getIdNode(.))</pathAgent>
</redirect>
			
<valeur code="title">
<source type="resultat-dynamique">agent=//contentRoot&amp;arguments=fullTitleText</source>
</valeur>
			
<valeur code="server.protocol">
<source><xsl:value-of select="local-name(sm:protocol/*[1])"/></source>
</valeur>
			
			
<valeur code="server.url">
<source type="xpath-dynamique">getGeneratorProperty("ftpUrl@stored")</source>
</valeur>
<valeur code="server.basedir">
<source type="xpath-dynamique">getGeneratorProperty("ftpBasedir@stored")</source>
</valeur>
<valeur code="server.user">
<source type="xpath-dynamique">getGeneratorProperty("ftpLogin@stored")</source>
</valeur>
			
<valeur code="server.password">
<source type="xpath-dynamique">getGeneratorProperty("ftpPassword@stored")</source>
</valeur>
<valeur code="server.ftpmode">
<source type="xpath-dynamique">getGeneratorProperty("ftpMode@stored")</source>
</valeur>
						
</structure>
</xsl:template>
</xsl:stylesheet>
