<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="sm sc se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:titlePrim">
<se:lib>
<element se:id="title" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" class="content">
<xsl:choose>
<xsl:when test="sm:structure/sm:shortTitleTag">
						
<childs>
<element se:name="sc:fullTitle" se:title="{sm:structure/sm:fullTitleTag/@name}" se:bind="element" se:card="1" startAt="60" orientation="horizontal" styleTag="font-weight:normal;">
<childs>
<contentElement se:bind="text" class="property" se:defaultvalue="{sm:structure/sm:fullTitleTag/@defaultValue}">
<textInput notnull="true" trim="true" fullTitleField=""/>
</contentElement>
</childs>
</element>
<xsl:if test="sm:structure/sm:shortTitleTag">
<element se:name="sc:shortTitle" se:title="{sm:structure/sm:shortTitleTag/@name}" se:bind="element" se:card="?" startAt="60" orientation="horizontal" styleTag="font-weight:normal;">
<childs>
<contentElement se:bind="text" class="property">
<textInput notnull="true" trim="true" shortTitleField=""/>
</contentElement>
</childs>
</element>
</xsl:if>
</childs>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="orientation">horizontal</xsl:attribute>
<childs>
							
<hiddenElement se:name="sc:fullTitle" se:bind="element">
<childs>
<contentElement se:bind="text" class="property" se:defaultvalue="{sm:structure/sm:fullTitleTag/@defaultValue}">
<textInput notnull="true" trim="true" fullTitleField=""/>
</contentElement>
</childs>
</hiddenElement>
</childs>
</xsl:otherwise>
</xsl:choose>
</element>
</se:lib>
</xsl:template>
	
<xsl:template match="*"/>
</xsl:stylesheet>
