<?xml version="1.0" encoding="UTF-8"?>
	
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xlink="http://www.w3.org/1999/xlink" 
				exclude-result-prefixes="xlink" 
				version="1.0">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:param name="vArguments"/>
	
	
<xsl:variable name="vXmlPrimitive" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
	
<xsl:template match="*">
<xsl:variable name="vDefaultBlockName" select="getDialogVar('fDefaultBlockName')"/>
<xsl:if test="$vArguments/node()">
<xsl:variable name="vCurrentbaseStyleName" select="filterInlineLoc(name($vArguments))"/>
<xsl:variable name="vbaseStyleName">
<xsl:choose>
<xsl:when test="boolean($vArguments/@role)">
<xsl:variable name="vCurrentBlockRole" select="@role"/>
<xsl:value-of select="filterInlineLoc($vXmlPrimitive//*[contains($vCurrentbaseStyleName, name()) and @role=$vCurrentBlockRole]/@name)"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="filterInlineLoc($vXmlPrimitive//*[contains($vCurrentbaseStyleName, name()) and not(boolean(@role))]/@name)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
			
<xsl:choose>
<xsl:when test="string-length(normalize-space($vbaseStyleName))&gt;0"><xsl:value-of select="$vbaseStyleName"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$vCurrentbaseStyleName"/><xsl:if test="boolean($vArguments/@role)"> > <xsl:value-of select="$vArguments/@role"/></xsl:if></xsl:otherwise>
</xsl:choose>
</xsl:if>
</xsl:template>

</xsl:stylesheet>