<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

<xsl:template match="sm:tableTag">
<style:style style:name="{resultatAgent('../../stResolver/table/name')}" style:display-name="{resultatAgent('../../stResolver/table/displayName')}" style:family="table">
<style:table-properties style:rel-width="100%" table:border-model="collapsing" table:align="center"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.A" style:family="table-column">
<style:table-column-properties style:rel-column-width="*"/>
</style:style>
<xsl:variable name="vPosRow" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select="sm:stylesList/sm:rowTag | sm:stylesList/sm:columnTag | sm:stylesList/sm:cellTag">
<xsl:variable name="vCurrentPosRow" select="java:hIncreaseOne($vPosRow)"/>
<xsl:if test="name()='sm:rowTag'">
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosRow}" style:family="table-row">
<style:table-row-properties/>
</style:style>
</xsl:if>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.A{$vCurrentPosRow}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #000000"/>
</style:style>
</xsl:for-each>
</xsl:template>
			
<xsl:template match="*"/>
	
</xsl:stylesheet>
