<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

<xsl:template match="sm:WTable">
<style:style style:name="{resultatAgent('../../stResolver/table/name')}" style:display-name="{resultatAgent('../../stResolver/table/displayName')}" style:family="table">
<style:table-properties style:width="100%" table:align="margins"/>
</style:style>
<xsl:variable name="vPosRow" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableRow">
<xsl:variable name="vCurrentPosRow"><xsl:number value="java:hIncreaseOne($vPosRow)" format="1"/></xsl:variable>
<xsl:if test="java:hGet($vPosRow)=1">
				
<xsl:variable name="vPosCol" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableCell">
<xsl:variable name="vCurrentPosCol"><xsl:number value="java:hIncreaseOne($vPosCol)" format="A"/></xsl:variable>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosCol}" style:family="table-column">
<style:table-column-properties style:rel-column-width="10*"/>
</style:style>
</xsl:for-each>
</xsl:if>
			
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosRow}" style:family="table-row">
<style:table-row-properties/>
</style:style>
<xsl:variable name="vPosCell" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableCell">
				
<xsl:variable name="vCurrentPosCell"><xsl:number value="java:hIncreaseOne($vPosCell)" format="A"/></xsl:variable>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosCell}{$vCurrentPosRow}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
			
<xsl:template match="*"><xsl:value-of select="name()"/></xsl:template>
	
</xsl:stylesheet>
