<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
	
<xsl:template match="sm:meta">
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), si(@usage='optional', '/xedRefUrlForm', '/xedRefUrlFormHideHeader') ))}" se:card="{si(@usage='optional', '?', '1')}"/>
</xsl:template>
<xsl:template match="sm:questionModel">
<element se:name="sc:question" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:globalExplanationModel">
<element se:name="sc:globalExplanation" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
	
</xsl:stylesheet>
